<li class="@classNames">
    <a href="#" class="dropdown-toggle"><?php if ($_options['showLabel']): ?>Currency: <?php endif ?>
        <?php
            $_currentCode = $_currency->getCurrentCurrencyCode();
            $_currencies = $_currency->getCurrencies();
            $_currencyText = '';
            if ($_options['textType'] === 'noText') {
                $_currencyText .= Mage::app()->getLocale()->currency($_currentCode)->getSymbol();
            } else if ($_options['textType'] === 'short') {
                $_currencyText .= $_currentCode;
            } else if ($_options['textType'] === 'full') {
                $_currencyText .= Mage::app()->getLocale()->currency($_currentCode)->getSymbol()
                    . ' ' . $_currencies[$_currentCode];
            }
            echo $_currencyText
        ?>
        <?php if ($_options['showArrow']): ?><span class="caret"></span><?php endif ?>
    </a>
    <?php echo $_submenu->setContext($_currency)->toHtml() ?>
</li>